# MetaMagic Angular Extensions 
[![npm version](https://badge.fury.io/js/ng-metamagic-extensions.svg)](https://badge.fury.io/js/ng-metamagic-extensions)
[![TeamCity CodeBetter](https://img.shields.io/teamcity/codebetter/bt428.svg)]()
		[![NPM](https://nodei.co/npm/ng-metamagic-extensions.png)](https://npmjs.org/package/ng-metamagic-extensions)
## Browsers support 

| [<img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/edge.png" alt="IE / Edge" width="16px" height="16px" />](http://godban.github.io/browsers-support-badges/)</br>IE / Edge | [<img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/firefox.png" alt="Firefox" width="16px" height="16px" />](http://godban.github.io/browsers-support-badges/)</br>Firefox | [<img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/chrome.png" alt="Chrome" width="16px" height="16px" />](http://godban.github.io/browsers-support-badges/)</br>Chrome | [<img src="https://raw.githubusercontent.com/godban/browsers-support-badges/master/src/images/safari.png" alt="Safari" width="16px" height="16px" />](http://godban.github.io/browsers-support-badges/)</br>Safari |
| --------- | --------- | --------- | --------- |
| Edge| last 5 versions| last 5 versions| last 2 versions

## Installation

To install this library, run:

```bash
$ npm install ng-metamagic-extensions --save-dev
```

## Consuming this library


from your Angular `AppModule`:

```typescript
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';

import { AppComponent } from './app.component';

// Import your library
import { MetaMagicWidgetModule } from 'metamagic-ng2-components';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MetaMagicWidgetModule //Library Module
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
```

Once the library is imported, you can use its components in your Angular application:

## Development

To generate all `*.js`, `*.js.map` and `*.d.ts` files:


## License LGPL 3
Refer <a href="http://13.58.2.29/metamagic-showcase/license.html">license.txt</a>
