"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var common_1 = require("@angular/common");
var widget_shared_service_1 = require("./src/bootstrap/widget.shared.service");
var router_1 = require("@angular/router");
var button_component_1 = require("./src/bootstrap/button/button.component");
var fileupload_component_1 = require("./src/bootstrap/fileupload/fileupload.component");
var datatable_component_1 = require("./src/bootstrap/datatable/datatable.component");
var column_component_1 = require("./src/bootstrap/datatable/column.component");
var treedatatable_component_1 = require("./src/bootstrap/treedatatable/treedatatable.component");
var treeview_component_1 = require("./src/bootstrap/treeview/treeview.component");
var tabpill_component_1 = require("./src/bootstrap/tabpane/tabpill.component");
var tabpane_component_1 = require("./src/bootstrap/tabpane/tabpane.component");
var checkgroup_component_1 = require("./src/bootstrap/checkgroup/checkgroup.component");
var datetimepicker_component_1 = require("./src/bootstrap/datetimepicker/datetimepicker.component");
var forms_1 = require("@angular/forms");
var textinput_component_1 = require("./src/bootstrap/textinput/textinput.component");
var emailinput_component_1 = require("./src/bootstrap/emailinput/emailinput.component");
var hiddeninput_component_1 = require("./src/bootstrap/hiddeninput/hiddeninput.component");
var numberinput_component_1 = require("./src/bootstrap/numberinput/numberinput.component");
var passwordinput_component_1 = require("./src/bootstrap/passwordinput/passwordinput.component");
var textareainput_component_1 = require("./src/bootstrap/textareainput/textareainput.component");
var ratinginput_component_1 = require("./src/bootstrap/ratinginput/ratinginput.component");
var radiogroup_component_1 = require("./src/bootstrap/radiogroup/radiogroup.component");
var dropdown_component_1 = require("./src/bootstrap/dropdown/dropdown.component");
var scrollview_component_1 = require("./src/bootstrap/scrollview/scrollview.component");
var dropdown_item_component_1 = require("./src/bootstrap/buttondropdown/dropdown.item.component");
var button_dropdown_component_1 = require("./src/bootstrap/buttondropdown/button.dropdown.component");
var buttongroup_component_1 = require("./src/bootstrap/buttongroup/buttongroup.component");
var buttongroup_action_component_1 = require("./src/bootstrap/buttongroup/buttongroup.action.component");
var itemselector_1 = require("./src/bootstrap/itemselector/itemselector");
var progress_component_1 = require("./src/bootstrap/progress/progress.component");
__export(require("./src/bootstrap/widget.shared.service"));
var MetaMagicWidgetModule = MetaMagicWidgetModule_1 = (function () {
    function MetaMagicWidgetModule() {
    }
    MetaMagicWidgetModule.forRoot = function () {
        return {
            ngModule: MetaMagicWidgetModule_1,
            providers: [widget_shared_service_1.WidgetService]
        };
    };
    return MetaMagicWidgetModule;
}());
MetaMagicWidgetModule = MetaMagicWidgetModule_1 = __decorate([
    core_1.NgModule({
        imports: [
            common_1.CommonModule,
            router_1.RouterModule,
            forms_1.FormsModule
        ],
        declarations: [
            textinput_component_1.TextInputComponent,
            emailinput_component_1.EmailInputComponent,
            hiddeninput_component_1.HiddenInputComponent,
            numberinput_component_1.NumberInputComponent,
            passwordinput_component_1.PasswordInputComponent,
            textareainput_component_1.TextAreaComponent,
            ratinginput_component_1.RatingInputComponent,
            radiogroup_component_1.RadioGroupComponent,
            fileupload_component_1.FileuploadComponent,
            button_component_1.ButtonComponent,
            datatable_component_1.DataTableComponent,
            column_component_1.ColumnComponent,
            dropdown_component_1.DropDownComponent,
            treedatatable_component_1.TreeDataTableComponent,
            treeview_component_1.TreeViewComponent,
            tabpill_component_1.TabComponent,
            tabpane_component_1.TabPaneComponent,
            checkgroup_component_1.CheckGroupComponent,
            datetimepicker_component_1.DateTimeComponent,
            scrollview_component_1.ScrollViewComponent,
            dropdown_item_component_1.ItemComponent,
            button_dropdown_component_1.ButtonDropdownComponent,
            buttongroup_component_1.ButtonGroupComponent,
            buttongroup_action_component_1.ButtonGroupActionComponent,
            itemselector_1.ItemSelectorComponent,
            progress_component_1.ProgressComponent
        ],
        exports: [
            buttongroup_component_1.ButtonGroupComponent,
            buttongroup_action_component_1.ButtonGroupActionComponent,
            textinput_component_1.TextInputComponent,
            emailinput_component_1.EmailInputComponent,
            hiddeninput_component_1.HiddenInputComponent,
            numberinput_component_1.NumberInputComponent,
            passwordinput_component_1.PasswordInputComponent,
            textareainput_component_1.TextAreaComponent,
            ratinginput_component_1.RatingInputComponent,
            radiogroup_component_1.RadioGroupComponent,
            fileupload_component_1.FileuploadComponent,
            button_component_1.ButtonComponent,
            datatable_component_1.DataTableComponent,
            column_component_1.ColumnComponent,
            dropdown_component_1.DropDownComponent,
            treedatatable_component_1.TreeDataTableComponent,
            treeview_component_1.TreeViewComponent,
            tabpill_component_1.TabComponent,
            tabpane_component_1.TabPaneComponent,
            checkgroup_component_1.CheckGroupComponent,
            datetimepicker_component_1.DateTimeComponent,
            scrollview_component_1.ScrollViewComponent,
            dropdown_item_component_1.ItemComponent,
            button_dropdown_component_1.ButtonDropdownComponent,
            itemselector_1.ItemSelectorComponent,
            progress_component_1.ProgressComponent
        ]
    })
], MetaMagicWidgetModule);
exports.MetaMagicWidgetModule = MetaMagicWidgetModule;
var MetaMagicWidgetModule_1;
//# sourceMappingURL=index.js.map