import { OnInit, QueryList, SimpleChanges } from "@angular/core";
import { DataTableService } from "./datatable.service";
import { ColumnComponent } from "./column.component";
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
export declare class DataTableComponent implements OnInit {
    private dataTableSevice;
    title: string;
    pageSize: number;
    httpUrl: string;
    httpMethod: string;
    dataReader: string;
    checkboxSelect: boolean;
    dataTableBindData: any;
    rowSelect: any;
    selectedRowData: any;
    height: string;
    width: string;
    columns: any[];
    data: any[];
    viewRows: any[];
    maxPage: number;
    currentPage: number;
    sortColumn: any;
    pageNumbers: number[];
    elementId: string;
    selectedRowNo: number;
    selectAll: boolean;
    selectedRows: any[];
    summary: any[];
    summaryData: any[];
    isSummary: boolean;
    smallScreen: boolean;
    sortBy: number;
    columnRef: QueryList<ColumnComponent>;
    constructor(dataTableSevice: DataTableService);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    createConfig(): void;
    createColumnConfig(): void;
    ngOnChanges(change: SimpleChanges): void;
    ngAfterViewInit(): void;
    setData(httpResponse: any): void;
    createSummaryData(): void;
    getResponseData(httpResponse: any): any;
    renderData(): void;
    sortData(): void;
    next(): void;
    prev(): void;
    sortOnColHeaderClick(sortCol: any): void;
    setSortColumn(sortCol: any, _sortBy: number): void;
    setPageNo(value: any): void;
    setUserPageNo(): void;
    rowClick(rowData: any, rowIndex: any): void;
    isSelected(rowNo: any): boolean;
    setColumnVisiblity(dataIndex: string): void;
    selectAllVisibleRows(): void;
    setSelectedRow(rowData: any, event: any): void;
    emitSelectedRows(): void;
    onResize(event: any): void;
}
