/**
 * Created by dattaram on 4/5/17.
 */
"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var form_input_base_1 = require("../baseclass/form.input.base");
var fileupload_service_1 = require("./fileupload.service");
exports.BASE_IMPL_FILEUPLOAD_INPUT = {
    provide: form_input_base_1.FormInputBase,
    useExisting: core_1.forwardRef(function () { return FileuploadComponent; })
};
var FileuploadComponent = (function (_super) {
    __extends(FileuploadComponent, _super);
    function FileuploadComponent(fileUploadService) {
        var _this = _super.call(this) || this;
        _this.fileUploadService = fileUploadService;
        _this.fileSize = '';
        _this.fileName = '';
        return _this;
    }
    FileuploadComponent.prototype.ngOnInit = function () {
    };
    FileuploadComponent.prototype.uploadFile = function (event) {
        var fileList = event.target.files;
        if (fileList.length > 0) {
            this.fileName = fileList[0].name;
            this.fileSize = (fileList[0].size / 1024).toFixed(1);
            this.fileSize = this.fileSize + ' Kb';
            // this.fileUploadService.uploadFile(this,this.url,this.httpMethod,fileList);
        }
    };
    FileuploadComponent.prototype.setData = function (requestData) {
    };
    return FileuploadComponent;
}(form_input_base_1.FormInputBase));
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], FileuploadComponent.prototype, "fieldLabel", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], FileuploadComponent.prototype, "url", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], FileuploadComponent.prototype, "httpMethod", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], FileuploadComponent.prototype, "fileType", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], FileuploadComponent.prototype, "multipleFile", void 0);
FileuploadComponent = __decorate([
    core_1.Component({
        selector: 'file-upload',
        template: "\n      <div class=\"col-lg-9\">\n          <input type=\"text\" readonly\n                 autocomplete=\"off\"\n                 class=\"form-control\"\n                 data-placement=\"bottom\"  data-trigger=\"focus\" data-html=\"true\" [attr.value]=\"fileName+'  '+fileSize\">\n      </div>\n      <div class=\"col-lg-3\">\n          <label class=\"btn btn-primary btn-file\">\n              {{fieldLabel}} <input type=\"file\" [attr.accept]=\"fileType\"  (change)=\"uploadFile($event)\" [attr.multiple]=\"multipleFile\" style=\"display: none;\" #fileupload>\n          </label>\n      </div>\n  ",
        providers: [exports.BASE_IMPL_FILEUPLOAD_INPUT, fileupload_service_1.FileUploadService]
    }),
    __metadata("design:paramtypes", [fileupload_service_1.FileUploadService])
], FileuploadComponent);
exports.FileuploadComponent = FileuploadComponent;
//# sourceMappingURL=fileupload.component.js.map