"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ProgressComponent = (function () {
    function ProgressComponent() {
        this.showProgress = true;
        this.infinteMode = true;
    }
    ProgressComponent.prototype.ngOnInit = function () {
        if (this.infinteMode) {
            this.displayText = 'Please wait';
            this.currentValue = '100';
            this.minValue = '0';
            this.maxValue = '100';
        }
        else
            this.displayText = this.currentValue + '%';
    };
    return ProgressComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", Boolean)
], ProgressComponent.prototype, "showProgress", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Boolean)
], ProgressComponent.prototype, "infinteMode", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ProgressComponent.prototype, "minValue", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ProgressComponent.prototype, "maxValue", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ProgressComponent.prototype, "currentValue", void 0);
ProgressComponent = __decorate([
    core_1.Component({
        selector: 'progress-bar',
        template: "      \n      \n    <div class=\"progress\" *ngIf=\"showProgress\">\n      <div class=\"progress-bar progress-bar-striped active\" role=\"progressbar\" [attr.aria-valuenow]=\"currentValue\" [attr.aria-valuemin]=\"minValue\" [attr.aria-valuemax]=\"maxValue\" style=\"width: 100%\">\n        <span>{{displayText}}<span class=\"dotdotdot\"></span></span>\n      </div>\n    </div>\n  \n  ",
        styles: [".progress {\n    margin: 15px;\n  }\n\n  .progress .progress-bar.active {\n    font-weight: 700;\n    animation: progress-bar-stripes .5s linear infinite;\n  }\n\n  .dotdotdot:after {\n    font-weight: 300;\n    content: '...';\n    display: inline-block;\n    width: 20px;\n    text-align: left;\n    animation: dotdotdot 1.5s linear infinite;\n  }\n\n  @keyframes dotdotdot {\n    0%   { content: '...'; }\n    25% { content: ''; }\n    50% { content: '.'; }\n    75% { content: '..'; }\n  }"]
    }),
    __metadata("design:paramtypes", [])
], ProgressComponent);
exports.ProgressComponent = ProgressComponent;
//# sourceMappingURL=progress.component.js.map