"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var ButtonGroupActionComponent = (function () {
    function ButtonGroupActionComponent() {
        this.onClick = new core_1.EventEmitter();
        this.elementId = 'button-group-action' + new Date().getTime() + Math.random();
    }
    ButtonGroupActionComponent.prototype.ngOnInit = function () {
        this.btnStyleClass = 'btn ';
        this.btnSizeStyleClass = '';
        if (this.type != '' || this.type != null) {
            if (this.type == 'warning')
                this.btnStyleClass = this.btnStyleClass + 'btn-warning';
            else if (this.type == 'primary')
                this.btnStyleClass = this.btnStyleClass + 'btn-primary';
            else if (this.type == 'success')
                this.btnStyleClass = this.btnStyleClass + 'btn-success';
            else if (this.type == 'danger')
                this.btnStyleClass = this.btnStyleClass + 'btn-danger';
        }
        else
            this.btnStyleClass = this.btnStyleClass + 'btn-default';
        this.iconStyleClass = 'glyphicon glyphicon-' + this.icon + ' pull-right';
        if (this.tooltipMessage == null)
            this.hasToolTip = false;
        if (this.size != null) {
            if (this.size == 'large')
                this.btnStyleClass = this.btnStyleClass.concat(' btn-lg');
            else if (this.size == 'small')
                this.btnStyleClass = this.btnStyleClass.concat(' btn-sm');
            else if (this.size == 'xsmall')
                this.btnStyleClass = this.btnStyleClass.concat(' btn-xs');
        }
        if (this.block) {
            this.btnStyleClass = this.btnStyleClass.concat(' btn-block');
        }
    };
    ButtonGroupActionComponent.prototype.ngOnChanges = function (change) {
        /*console.log(change.isLoading);
         if(change.isLoading){
         this.disabled = true;
         }*/ //TODO : Fix
    };
    ButtonGroupActionComponent.prototype.ngAfterViewInit = function () {
    };
    return ButtonGroupActionComponent;
}());
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "label", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "icon", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "type", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "onClickRoute", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "tooltipMessage", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Boolean)
], ButtonGroupActionComponent.prototype, "disabled", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Boolean)
], ButtonGroupActionComponent.prototype, "isLoading", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "size", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", Boolean)
], ButtonGroupActionComponent.prototype, "block", void 0);
__decorate([
    core_1.Input(),
    __metadata("design:type", String)
], ButtonGroupActionComponent.prototype, "fieldName", void 0);
__decorate([
    core_1.Output(),
    __metadata("design:type", core_1.EventEmitter)
], ButtonGroupActionComponent.prototype, "onClick", void 0);
ButtonGroupActionComponent = __decorate([
    core_1.Component({
        selector: 'button-group-action',
        template: "",
        styles: ["\n    .glyphicon-refresh-animate {\n      -animation: spin .7s infinite linear;\n      -webkit-animation: spin2 .7s infinite linear;\n    }\n\n    @-webkit-keyframes spin2 {\n      from { -webkit-transform: rotate(0deg);}\n      to { -webkit-transform: rotate(360deg);}\n    }\n\n    @keyframes spin {\n      from { transform: scale(1) rotate(0deg);}\n      to { transform: scale(1) rotate(360deg);}\n    }"
        ]
    }),
    __metadata("design:paramtypes", [])
], ButtonGroupActionComponent);
exports.ButtonGroupActionComponent = ButtonGroupActionComponent;
//# sourceMappingURL=buttongroup.action.component.js.map