import { OnInit } from "@angular/core";
import { CheckBoxGroupService } from "./checkgroup.service";
export declare const COLUMN_SIZE = "col-lg-";
export declare class CheckGroupComponent implements OnInit {
    private checkBoxGroupService;
    fieldLabel: string;
    fieldName: string;
    dataReader: string;
    httpMethod: string;
    httpUrl: string;
    displayField: string;
    valueField: string;
    searchBox: boolean;
    checkBoxGroupDownBindData: any;
    column: string;
    selectedValue: any;
    elementId: string;
    data: any[];
    viewData: any[];
    textValue: string;
    selectedCheckBox: any[];
    divCss: string;
    constructor(checkBoxGroupService: CheckBoxGroupService);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    setData(httpResponse: any): void;
    getResponseData(httpResponse: any): any;
    filterData(event: any): void;
    setSelectedCheckBox(rowData: any, event: any): void;
    emitSelectedRows(): void;
}
