import { OnInit, SimpleChanges } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { DropDownService } from "./dropdown.service";
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
export declare class DropDownComponent implements OnInit, ControlValueAccessor {
    private dropDownService;
    fieldLabel: string;
    fieldName: string;
    allowBlank: string;
    errorMsg: string;
    emptyText: string;
    disabled: boolean;
    dataReader: string;
    httpMethod: string;
    httpUrl: string;
    displayField: string;
    valueField: string;
    dropDownBindData: any;
    selectedValue: any;
    elementId: string;
    data: any[];
    viewData: any[];
    selectedDisplayField: string;
    selectedValueField: string;
    textValue: string;
    constructor(dropDownService: DropDownService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    setData(httpResponse: any): void;
    getResponseData(httpResponse: any): any;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    value: any;
    onBlur(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setSelectedValue(selectedData: any): void;
    filterData(event: any): void;
}
