import { OnInit, AfterViewInit } from "@angular/core";
import { ControlValueAccessor } from "@angular/forms";
import { FormInputBase } from "../baseclass/form.input.base";
export declare const CUSTOM_INPUT_CONTROL_VALUE_ACCESSOR: any;
export declare const BASE_IMPL_EMAIL_INPUT: any;
export declare class EmailInputComponent extends FormInputBase implements OnInit, AfterViewInit, ControlValueAccessor {
    fieldLabel: string;
    fieldName: string;
    allowBlank: boolean;
    errorMsg: string;
    placeholder: string;
    disabled: boolean;
    iconFeedBack: boolean;
    fontStyle: string;
    fontFamily: string;
    fontSize: string;
    fieldIcon: string;
    hasLabel: boolean;
    elementId: string;
    spanId: string;
    iconName: string;
    helpInfoMsg: string;
    isValid: boolean;
    divCss: string;
    iconClassName: string;
    fieldglyphIcon: string;
    constructor();
    ngOnInit(): void;
    ngAfterViewInit(): void;
    private innerValue;
    private onTouchedCallback;
    private onChangeCallback;
    value: any;
    onBlur(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    validate(): void;
    isValidInput(): boolean;
    setValidClassNames(): void;
    setInvalidatedClassNames(): void;
}
