"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * Created by patrick on 4/4/17.
 */
var core_1 = require("@angular/core");
var WidgetService = (function () {
    function WidgetService() {
    }
    WidgetService.prototype.setDisabled = function (inputTexts, fieldName, disabled) {
        var components = inputTexts._results;
        for (var iComponents = 0; iComponents < components.length; iComponents++) {
            var inputText = components[iComponents];
            if (inputText.fieldName == fieldName) {
                inputText.disabled = disabled;
            }
        }
    };
    WidgetService.prototype.validate = function (inputTexts) {
        var components = inputTexts;
        var showMessage = false;
        var errorCounter = 1;
        var title = "<strong>Please validate following fields</strong><br><hr>";
        var validateMsg = "<br>";
        for (var iComponents = 0; iComponents < components.length; iComponents++) {
            var inputText = components[iComponents];
            var isValid = inputText.isValidInput();
            if (isValid) {
                validateMsg = validateMsg + ' ' + errorCounter + ') ' + inputText.fieldLabel + "<br/>";
                showMessage = true;
                errorCounter++;
            }
        }
        if (showMessage)
            $.toaster({ priority: 'danger', title: title, message: validateMsg }); // toaster.error(validateMsg);
        return showMessage;
    };
    WidgetService.prototype.validateAll = function (inputTexts) {
        var showMessage = false;
        var errorCounter = 1;
        var title = "<strong>Please validate following fields</strong><hr>";
        var validateMsg = "<br>";
        for (var ic = 0; ic < inputTexts.length; ic++) {
            var component = inputTexts[ic];
            var isValid = component.isValidInput();
            if (isValid) {
                validateMsg = validateMsg + ' ' + errorCounter + ') ' + component.fieldLabel + "<br>";
                showMessage = true;
                errorCounter++;
            }
        }
        if (showMessage)
            $.toaster({ priority: 'danger', title: title, message: validateMsg });
        return showMessage;
    };
    WidgetService.prototype.toasterDanger = function (title, message, timeout) {
        $.toaster({ settings: { 'timeout': parseInt(timeout) } });
        $.toaster({ priority: 'danger', title: title, message: message });
    };
    WidgetService.prototype.toasterWarning = function (title, message, timeout) {
        $.toaster({ settings: { 'timeout': parseInt(timeout) } });
        $.toaster({ priority: 'warning', title: title, message: message });
    };
    WidgetService.prototype.toasterSuccess = function (title, message, timeout) {
        $.toaster({ settings: { 'timeout': parseInt(timeout) } });
        $.toaster({ priority: 'success', title: title, message: message });
    };
    WidgetService.prototype.toasterInfo = function (title, message, timeout) {
        $.toaster({ settings: { 'timeout': parseInt(timeout) } });
        $.toaster({ priority: 'info', title: title, message: message });
    };
    return WidgetService;
}());
WidgetService = __decorate([
    core_1.Injectable(),
    __metadata("design:paramtypes", [])
], WidgetService);
exports.WidgetService = WidgetService;
//# sourceMappingURL=widget.shared.service.js.map